=== debian/changelog ===
charliecloud (0.35-5) unstable; urgency=medium

  * d/tests/tutorial:
    Use fakeroot root emulation mode for ch-image build on s390x

 -- Peter Wienemann <fossdev@posteo.de>  Sun, 12 Nov 2023 12:23:09 +0100

charliecloud (0.35-4) unstable; urgency=medium

  * d/tests/tutorial:
    Add option --network=host to (disabled) buildah bud
  * d/tests/control:
    Restrict autopkgtest to AlmaLinux 8 architectures

 -- Peter Wienemann <fossdev@posteo.de>  Fri, 10 Nov 2023 20:56:45 +0100

charliecloud (0.35-3) unstable; urgency=medium

  * d/tests/tutorial:
    Use docker build with --network=host option
  * d/rules:
    - Remove obsolete code to patch out jquery.js and underscore.js
    - Patch out bundled sphinx_highlight.js

 -- Peter Wienemann <fossdev@posteo.de>  Sun, 05 Nov 2023 20:40:39 +0100

charliecloud (0.35-2) unstable; urgency=medium

  * d/tests/tutorial:
    - Retry image build in case of failure
    - Do not test builder buildah

 -- Peter Wienemann <fossdev@posteo.de>  Sat, 04 Nov 2023 20:08:52 +0100

charliecloud (0.35-1) unstable; urgency=medium

  * New upstream version 0.35
  * Drop patch adjust-test-suite-path (superseded by upstream change)
  * charliecloud-tests.install: Adjust to upstream's new directory structure
  * Add rsync as recommended dependency for charliecloud-builders
  * Rewrite autopkgtest to test examples from the Charliecloud tutorial

 -- Peter Wienemann <fossdev@posteo.de>  Wed, 01 Nov 2023 20:12:12 +0100
