=== debian/control ===
Source: charliecloud
Section: admin
Priority: optional
Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
Uploaders:
 Lucas Nussbaum <lucas@debian.org>,
 Peter Wienemann <fossdev@posteo.de>
Build-Depends:
 autoconf-archive,
 bash-completion,
 debhelper-compat (= 13),
 libfuse3-dev,
 libsquashfuse-dev,
 po-debconf,
 python3-sphinx-rtd-theme
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://hpc.github.io/charliecloud/
Vcs-Git: https://salsa.debian.org/hpc-team/charliecloud.git
Vcs-Browser: https://salsa.debian.org/hpc-team/charliecloud/tree/master

Package: charliecloud
Section: metapackages
Architecture: all
Depends:
 charliecloud-builders (>= 0.16-1),
 charliecloud-runtime (>= 0.16-1),
 ${misc:Depends}
Description: user-defined software stacks (UDSS) for HPC centers (metapackage)
 Charliecloud provides user-defined software stacks (UDSS) (aka containers)
 for high-performance computing (HPC) centers. This "bring your own software
 stack" functionality addresses needs such as: software dependencies that are
 numerous, complex, unusual, differently configured, or simply newer/older
 than what the center provides; build-time requirements unavailable within
 the center, such as relatively unfettered internet access; validated
 software stacks and configuration to meet the standards of a particular
 field of inquiry; portability of environments between resources, including
 workstations and other test and development system not managed by the
 center; consistent environments, even archivally so, that can be easily,
 reliabily, and verifiably reproduced in the future; and/or usability and
 comprehensibility.
 .
 This package provides runtime and builder packages for Charliecloud.

Package: charliecloud-common
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Replaces:
 charliecloud (<< 0.16-1)
Breaks:
 charliecloud (<< 0.16-1)
Description: user-defined software stacks (UDSS) for HPC centers (common files)
 Charliecloud provides user-defined software stacks (UDSS) (aka containers)
 for high-performance computing (HPC) centers. This "bring your own software
 stack" functionality addresses needs such as: software dependencies that are
 numerous, complex, unusual, differently configured, or simply newer/older
 than what the center provides; build-time requirements unavailable within
 the center, such as relatively unfettered internet access; validated
 software stacks and configuration to meet the standards of a particular
 field of inquiry; portability of environments between resources, including
 workstations and other test and development system not managed by the
 center; consistent environments, even archivally so, that can be easily,
 reliabily, and verifiably reproduced in the future; and/or usability and
 comprehensibility.
 .
 This package provides common files for Charliecloud.

Package: charliecloud-builders
Architecture: linux-any
Multi-Arch: foreign
Depends:
 buildah,
 charliecloud-common,
 docker.io [amd64 arm64 armel armhf i386 ppc64el s390x],
 python3,
 python3-lark,
 python3-requests,
 squashfs-tools,
 ${misc:Depends}
Recommends:
 git,
 rsync
Suggests:
 charliecloud-doc,
 charliecloud-runtime,
 pigz,
 pv
Replaces:
 charliecloud (<< 0.16-1)
Breaks:
 charliecloud (<< 0.16-1)
Description: user-defined software stacks (UDSS) for HPC centers (builders)
 Charliecloud provides user-defined software stacks (UDSS) (aka containers)
 for high-performance computing (HPC) centers. This "bring your own software
 stack" functionality addresses needs such as: software dependencies that are
 numerous, complex, unusual, differently configured, or simply newer/older
 than what the center provides; build-time requirements unavailable within
 the center, such as relatively unfettered internet access; validated
 software stacks and configuration to meet the standards of a particular
 field of inquiry; portability of environments between resources, including
 workstations and other test and development system not managed by the
 center; consistent environments, even archivally so, that can be easily,
 reliabily, and verifiably reproduced in the future; and/or usability and
 comprehensibility.
 .
 This package provides image builders for Charliecloud.

Package: charliecloud-runtime
Architecture: linux-any
Depends:
 charliecloud-common,
 python3,
 squashfuse,
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 charliecloud-builders,
 charliecloud-doc
Replaces:
 charliecloud (<< 0.16-1)
Breaks:
 charliecloud (<< 0.16-1)
Description: user-defined software stacks (UDSS) for HPC centers (runtime tools)
 Charliecloud provides user-defined software stacks (UDSS) (aka containers)
 for high-performance computing (HPC) centers. This "bring your own software
 stack" functionality addresses needs such as: software dependencies that are
 numerous, complex, unusual, differently configured, or simply newer/older
 than what the center provides; build-time requirements unavailable within
 the center, such as relatively unfettered internet access; validated
 software stacks and configuration to meet the standards of a particular
 field of inquiry; portability of environments between resources, including
 workstations and other test and development system not managed by the
 center; consistent environments, even archivally so, that can be easily,
 reliabily, and verifiably reproduced in the future; and/or usability and
 comprehensibility.
 .
 This package provides tools to run containers for Charliecloud.

Package: charliecloud-tests
Architecture: linux-any
Depends:
 bats,
 charliecloud-builders,
 charliecloud-doc,
 charliecloud-runtime,
 python3,
 wget,
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 shellcheck,
 sudo
Description: user-defined software stacks (UDSS) for HPC centers (test suite)
 Charliecloud provides user-defined software stacks (UDSS) (aka containers)
 for high-performance computing (HPC) centers. This "bring your own software
 stack" functionality addresses needs such as: software dependencies that are
 numerous, complex, unusual, differently configured, or simply newer/older
 than what the center provides; build-time requirements unavailable within
 the center, such as relatively unfettered internet access; validated
 software stacks and configuration to meet the standards of a particular
 field of inquiry; portability of environments between resources, including
 workstations and other test and development system not managed by the
 center; consistent environments, even archivally so, that can be easily,
 reliabily, and verifiably reproduced in the future; and/or usability and
 comprehensibility.
 .
 This package provides a test suite for Charliecloud.

Package: charliecloud-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 libjs-sphinxdoc,
 sphinx-rtd-theme-common,
 ${misc:Depends}
Description: user-defined software stacks (UDSS) for HPC centers (documentation)
 Charliecloud provides user-defined software stacks (UDSS) (aka containers)
 for high-performance computing (HPC) centers. This "bring your own software
 stack" functionality addresses needs such as: software dependencies that are
 numerous, complex, unusual, differently configured, or simply newer/older
 than what the center provides; build-time requirements unavailable within
 the center, such as relatively unfettered internet access; validated
 software stacks and configuration to meet the standards of a particular
 field of inquiry; portability of environments between resources, including
 workstations and other test and development system not managed by the
 center; consistent environments, even archivally so, that can be easily,
 reliabily, and verifiably reproduced in the future; and/or usability and
 comprehensibility.
 .
 This package provides documentation files for Charliecloud.
