=== debian/tests/control ===
Tests: tutorial
Depends:
 charliecloud-tests,
 git,
 iproute2,
 jq,
# Restrict to AlmaLinux 8 architectures (used in hello example)
Architecture:
 amd64,
 arm64,
 ppc64el,
 s390x,
Restrictions:
 needs-internet,
 needs-root,
