## charliecloud 0.37

=== debian/changelog ===
charliecloud (0.37-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:37:26 +1100

charliecloud (0.37-1) unstable; urgency=medium

  * New upstream version 0.37 (Closes: #1063467)
  * Add new man page for ch-completion.bash
  * Replace obsolete build dependency pkg-config by pkgconf
  * Run reprotest with diffoscope
  * Add patch from upstream PR 1856 to fix reproducibility issue

 -- Peter Wienemann <fossdev@posteo.de>  Thu, 07 Mar 2024 20:06:12 +0100

charliecloud (0.36-1) unstable; urgency=medium

  * New upstream version 0.36
  * Drop patch pr1789 (applied upstream)
  * Add pkg-config to build dependencies
  * Drop buildah and docker.io from dependencies of charliecloud-builders
  * Add bash tab completion for command ch-convert
  * d/t/tutorial:
    - Do not test builders buildah and docker
    - Use --quiet option for ch-convert and ch-run
  * d/t/control: Fix dependencies on Charliecloud packages
    charliecloud-tests -> charliecloud, charliecloud-doc
  * Update upstream and Debian packaging copyright years

 -- Peter Wienemann <fossdev@posteo.de>  Sat, 03 Feb 2024 21:52:40 +0100

charliecloud (0.35-7) unstable; urgency=medium

  * Add patch from upstream PR 1789 to add seccomp support for s390x
  * d/t/tutorial: Build images using seccomp mode on all architectures
  * d/t/control: Re-enable autopkgtest on s390x architecture

 -- Peter Wienemann <fossdev@posteo.de>  Sat, 02 Dec 2023 20:45:00 +0100

charliecloud (0.35-6) unstable; urgency=medium

  * d/tests/control:
    Skip autopkgtest on s390x (Closes: #1055833)

 -- Peter Wienemann <fossdev@posteo.de>  Sun, 12 Nov 2023 21:08:58 +0100
