=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: charliecloud
 Section: admin
 Priority: optional
-Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
 Uploaders:
  Lucas Nussbaum <lucas@debian.org>,
  Peter Wienemann <fossdev@posteo.de>
@@ -11,6 +12,7 @@
  debhelper-compat (= 13),
  libfuse3-dev,
  libsquashfuse-dev,
+ pkgconf,
  po-debconf,
  python3-sphinx-rtd-theme
 Standards-Version: 4.6.2
@@ -71,9 +73,7 @@
 Architecture: linux-any
 Multi-Arch: foreign
 Depends:
- buildah,
  charliecloud-common,
- docker.io [amd64 arm64 armel armhf i386 ppc64el s390x],
  python3,
  python3-lark,
  python3-requests,
