=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%charliecloud-$1.tar.gz%" \
   https://github.com/hpc/charliecloud/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
