## charliecloud 0.38

=== examples/chtest/Makefile ===
BINS := chroot-escape mknods setgroups setuid
ALL := $(BINS)
CFLAGS := -std=c11 -Wall -Werror

.PHONY: all
all: $(ALL)

.PHONY: clean
clean:
	rm -f $(ALL)
