=== debian/changelog ===
charliecloud (0.38-2) unstable; urgency=medium

  * Backport upstream fix: Do not use deprecated get_html_theme_path
    for newer Sphinx versions (Closes: #1086621)
  * Switch to new upstream repository URL in
    - d/watch
    - d/copyright
    - d/upstream/metadata
  * charliecloud-doc: Add dependency on libjs-jquery and patch out
    bundled jquery.js

 -- Peter Wienemann <wiene@debian.org>  Sat, 23 Nov 2024 17:04:02 +0100

charliecloud (0.38-1) unstable; urgency=medium

  * New upstream version 0.38
  * Drop patch pr1856 (applied upstream)
  * Drop patch pr1859 (applied upstream)
  * Make dependencies of binary packages binNMU safe
  * Update my email address in uploaders field
  * Bump Standards-Version to 4.7.0 (no changes required)

 -- Peter Wienemann <wiene@debian.org>  Sat, 15 Jun 2024 21:23:24 +0200

charliecloud (0.37-2) unstable; urgency=medium

  * Add patch from upstream PR 1859 to fix FTBFS issue on arm{el,hf}
    (Closes: #1065793)

 -- Peter Wienemann <fossdev@posteo.de>  Sat, 16 Mar 2024 11:47:02 +0100
