=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: charliecloud
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
+Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
 Uploaders:
  Lucas Nussbaum <lucas@debian.org>,
- Peter Wienemann <fossdev@posteo.de>
+ Peter Wienemann <wiene@debian.org>
 Build-Depends:
  autoconf-archive,
  bash-completion,
@@ -15,7 +14,7 @@
  pkgconf,
  po-debconf,
  python3-sphinx-rtd-theme
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://hpc.github.io/charliecloud/
 Vcs-Git: https://salsa.debian.org/hpc-team/charliecloud.git
@@ -25,8 +24,10 @@
 Section: metapackages
 Architecture: all
 Depends:
- charliecloud-builders (>= 0.16-1),
- charliecloud-runtime (>= 0.16-1),
+ charliecloud-builders (>= ${source:Version}),
+ charliecloud-builders (<< ${source:Version}.0~),
+ charliecloud-runtime (>= ${source:Version}),
+ charliecloud-runtime (<< ${source:Version}.0~),
  ${misc:Depends}
 Description: user-defined software stacks (UDSS) for HPC centers (metapackage)
  Charliecloud provides user-defined software stacks (UDSS) (aka containers)
@@ -73,7 +74,7 @@
 Architecture: linux-any
 Multi-Arch: foreign
 Depends:
- charliecloud-common,
+ charliecloud-common (= ${source:Version}),
  python3,
  python3-lark,
  python3-requests,
@@ -83,8 +84,8 @@
  git,
  rsync
 Suggests:
- charliecloud-doc,
- charliecloud-runtime,
+ charliecloud-doc (= ${source:Version}),
+ charliecloud-runtime (= ${binary:Version}),
  pigz,
  pv
 Replaces:
@@ -110,14 +111,14 @@
 Package: charliecloud-runtime
 Architecture: linux-any
 Depends:
- charliecloud-common,
+ charliecloud-common (= ${source:Version}),
  python3,
  squashfuse,
  ${misc:Depends},
  ${shlibs:Depends}
 Suggests:
- charliecloud-builders,
- charliecloud-doc
+ charliecloud-builders (= ${binary:Version}),
+ charliecloud-doc (= ${source:Version})
 Replaces:
  charliecloud (<< 0.16-1)
 Breaks:
@@ -142,9 +143,9 @@
 Architecture: linux-any
 Depends:
  bats,
- charliecloud-builders,
- charliecloud-doc,
- charliecloud-runtime,
+ charliecloud-builders (= ${binary:Version}),
+ charliecloud-doc (= ${source:Version}),
+ charliecloud-runtime (= ${binary:Version}),
  python3,
  wget,
  ${misc:Depends},
@@ -173,6 +174,7 @@
 Multi-Arch: foreign
 Section: doc
 Depends:
+ libjs-jquery,
  libjs-sphinxdoc,
  sphinx-rtd-theme-common,
  ${misc:Depends}
