=== debian/rules ===
--- 
+++ 
@@ -56,6 +56,9 @@
 	# Patch out bundled doctools.js
 	rm debian/tmp/usr/share/doc/charliecloud/html/_static/doctools.js
 	ln -s /usr/share/javascript/sphinxdoc/1.0/doctools.js debian/tmp/usr/share/doc/charliecloud/html/_static/doctools.js
+	# Patch out bundled jquery.js
+	rm debian/tmp/usr/share/doc/charliecloud/html/_static/jquery.js
+	ln -s /usr/share/javascript/jquery/jquery.js debian/tmp/usr/share/doc/charliecloud/html/_static/jquery.js
 	# Patch out bundled searchtools.js
 	rm debian/tmp/usr/share/doc/charliecloud/html/_static/searchtools.js
 	ln -s /usr/share/javascript/sphinxdoc/1.0/searchtools.js debian/tmp/usr/share/doc/charliecloud/html/_static/searchtools.js
