=== debian/tests/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Tests: tutorial
 Depends:
- charliecloud-tests,
+ charliecloud,
+ charliecloud-doc,
  git,
  iproute2,
  jq,
