=== debian/watch ===
version=4
opts="searchmode=plain" https://gitlab.com/api/v4/projects/62049685/releases \
  [^"]*/main-v@ANY_VERSION@\.tar\.gz debian uupdate
