## charliecloud 0.42

=== packaging/requirements.txt ===
--- 
+++ 
@@ -7,6 +7,6 @@
 # Users can install all our python dependencies simply by running:
 # > pip install -r requirements.txt
 
-lark-parser
+lark>=1.1.9
 wheel
 requests>=2.6.0
