=== debian/changelog ===
charliecloud (0.42-3) unstable; urgency=medium

  * d/p/mr1991.patch: Adopt extended upstream patch to fix runtime
    issue on s390x. The previous version of the patch was incomplete.
    Thanks to Pranav P for updating the patch. (Closes: #1118779)

 -- Peter Wienemann <wiene@debian.org>  Sun, 09 Nov 2025 11:06:15 +0100

charliecloud (0.42-2) unstable; urgency=medium

  * d/p/fix-mem_log-for-32-bit.patch: Adopt simplified upstream patch
  * Add patch from upstream MR 1991 to fix runtime issue on s390x.
    Thanks to Pranav P for providing the patch. (Closes: #1118779)

 -- Peter Wienemann <wiene@debian.org>  Sat, 01 Nov 2025 14:25:12 +0100

charliecloud (0.42-1) unstable; urgency=medium

  * Switch watch file format to version 5 and use new upstream URL
  * New upstream version 0.42
  * Drop patch remove-deprecated-get_html_theme_path (applied upstream)
  * Update patch remove-misc-m4-as-ac-macro-dir
  * Add patch from upstream MR 1989 to fix build failure on i386
  * d/control:
    - Add libcjson-dev and libgc-dev to build dependencies
    - Remove redundant "Rules-Requires-Root: no"
  * d/upstream/metadata: Update URLs
  * d/copyright: Update upstream and Debian packaging copyright entries

 -- Peter Wienemann <wiene@debian.org>  Fri, 24 Oct 2025 20:02:09 +0200

charliecloud (0.38-3) unstable; urgency=medium

  [ Carles Pina i Estany ]
  * Added po-debconf Catalan translation

  [ Peter Wienemann ]
  * d/rules: Do not run debconf-updatepo on clean-up
  * Bump Standards-Version to 4.7.2 (no changes required)

 -- Peter Wienemann <wiene@debian.org>  Sun, 06 Apr 2025 10:24:16 +0200
