=== debian/control ===
--- 
+++ 
@@ -9,13 +9,14 @@
  autoconf-archive,
  bash-completion,
  debhelper-compat (= 13),
+ libcjson-dev,
  libfuse3-dev,
+ libgc-dev,
  libsquashfuse-dev,
  pkgconf,
  po-debconf,
  python3-sphinx-rtd-theme
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Homepage: https://hpc.github.io/charliecloud/
 Vcs-Git: https://salsa.debian.org/hpc-team/charliecloud.git
 Vcs-Browser: https://salsa.debian.org/hpc-team/charliecloud/tree/master
