=== debian/watch ===
Version: 5
Source: https://gitlab.com/charliecloud/charliecloud
Mode: gitlab
Matching-Pattern: @ANY_VERSION@
Uversion-Mangle: s/^v//
