## charliecloud 0.43

=== debian/changelog ===
charliecloud (0.43-2) unstable; urgency=medium

  * Add patch from upstream MR 2014 to fix FTBFS issue with glibc 2.43
    (Closes: #1128533)
  * Refresh patch remove-misc-m4-as-ac-macro-dir
  * Update copyright years for Debian packaging

 -- Peter Wienemann <wiene@debian.org>  Sat, 21 Feb 2026 21:06:13 +0100

charliecloud (0.43-1) unstable; urgency=medium

  * New upstream version 0.43
  * Drop patch fix-mem_log-for-32-bit (applied upstream)
  * Drop patch mr1991 (applied upstream)
  * d/control:
    - Remove redundant "Priority: optional"
    - Bump Standards-Version to 4.7.3

 -- Peter Wienemann <wiene@debian.org>  Wed, 31 Dec 2025 19:45:33 +0100
