=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: charliecloud
 Section: admin
-Priority: optional
 Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
 Uploaders:
  Lucas Nussbaum <lucas@debian.org>,
@@ -16,7 +15,7 @@
  pkgconf,
  po-debconf,
  python3-sphinx-rtd-theme
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://hpc.github.io/charliecloud/
 Vcs-Git: https://salsa.debian.org/hpc-team/charliecloud.git
 Vcs-Browser: https://salsa.debian.org/hpc-team/charliecloud/tree/master
